be.fgov.ehealth.etee.kgss._1_0.protocol

## Class GetKeyRequestContent

- java.lang.Object
- - be.fgov.ehealth.etee.kgss._1_0.protocol.GetKeyRequestContent

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:58:05+01:00",
                 comments="JAXB RI v2.2.11")
      public class GetKeyRequestContent
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="KeyIdentifier" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <choice>
                 <element name="ETK" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
                 <sequence minOccurs="0">
                   <element name="KeyEncryptionKey" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                   <element name="KeyEncryptionKeyIdentifier" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
                 </sequence>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetKeyRequestContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getETK()` Gets the value of the etk property.
    `byte[]` | `getKeyEncryptionKey()` Gets the value of the keyEncryptionKey property.
    `byte[]` | `getKeyEncryptionKeyIdentifier()` Gets the value of the keyEncryptionKeyIdentifier property.
    `byte[]` | `getKeyIdentifier()` Gets the value of the keyIdentifier property.
    `void` | `setETK(byte[] value)` Sets the value of the etk property.
    `void` | `setKeyEncryptionKey(byte[] value)` Sets the value of the keyEncryptionKey property.
    `void` | `setKeyEncryptionKeyIdentifier(byte[] value)` Sets the value of the keyEncryptionKeyIdentifier property.
    `void` | `setKeyIdentifier(byte[] value)` Sets the value of the keyIdentifier property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetKeyRequestContent

          public GetKeyRequestContent()

  - ### Method Detail

    - #### getKeyIdentifier

          public byte[] getKeyIdentifier()

      Gets the value of the keyIdentifier property.
      Returns:
        possible object is byte[]

    - #### setKeyIdentifier

          public void setKeyIdentifier(byte[] value)

      Sets the value of the keyIdentifier property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getKeyEncryptionKey

          public byte[] getKeyEncryptionKey()

      Gets the value of the keyEncryptionKey property.
      Returns:
        possible object is byte[]

    - #### setKeyEncryptionKey

          public void setKeyEncryptionKey(byte[] value)

      Sets the value of the keyEncryptionKey property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getKeyEncryptionKeyIdentifier

          public byte[] getKeyEncryptionKeyIdentifier()

      Gets the value of the keyEncryptionKeyIdentifier property.
      Returns:
        possible object is byte[]

    - #### setKeyEncryptionKeyIdentifier

          public void setKeyEncryptionKeyIdentifier(byte[] value)

      Sets the value of the keyEncryptionKeyIdentifier property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getETK

          public byte[] getETK()

      Gets the value of the etk property.
      Returns:
        possible object is byte[]

    - #### setETK

          public void setETK(byte[] value)

      Sets the value of the etk property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.